@ECHO OFF
TITLE %~n0
CLS
ECHO ============================
ECHO バレンタイン イベント の設定
ECHO ============================
REM ----------------------------------------------
PUSHD tools
if not exist vars.txt (
	echo Error: 'vars.txt' not found.
	pause
	exit
)
ren vars.txt *.bat
call vars.bat
ren vars.bat *.txt
SET MYSQLCMD="%mysqlPath%" --default-character-set=utf8 -h %gshost% -u %gsuser% --password=%gspass% -D %gsdb%
POPD
REM ----------------------------------------------
ECHO.
ECHO (1) イベント開始処理
ECHO (2) イベント終了処理
ECHO (9) おわり
ECHO.
SET mode=1
:100
SET /P mode="番号をキー入力してください。(default is '%mode%'): "
IF %mode%==1 GOTO :1
IF %mode%==2 GOTO :2
IF %mode%==9 GOTO :EOF
GOTO 100

REM イベント開始処理
:1
@ECHO ON
%MYSQLCMD% < sql\event_Valentines\OnEventBegin.sql
@ECHO OFF
PAUSE
GOTO :EOF

REM イベント終了処理
:2
@ECHO ON
%MYSQLCMD% < sql\event_Valentines\OnEventEnd.sql
@ECHO OFF
PAUSE
GOTO :EOF
